package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 供试品发放记录-稽查轨迹对象 t_gsp_ffjl_jcgj
 *
 * @author hxhq
 * @date 2025-12-30
 */
@TableName("t_gsp_ffjl_jcgj")
public class GspFfjlJcgj extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 供试品发放记录id */
    private Long ffjlId;

    /** 稽查轨迹类型 */
    private Integer jcgjlx;

    /** 稽查名称 */
    private String jcmc;
    private String jcmcEn;
    /** 稽查名称颜色：1：蓝色；3：红色；5：绿色；7：橙色 */
    private Integer jcmcys;

    /** 稽查内容 */
    private String jcnr;
    private String jcnrEn;

    /** 签名人id */
    private Long qmrId;

    private String qmrMc;
    private String qmrMcEn;

    public String getQmrMc() {
        return qmrMc;
    }

    public void setQmrMc(String qmrMc) {
        this.qmrMc = qmrMc;
    }

    public void setFfjlId(Long ffjlId)
    {
        this.ffjlId = ffjlId;
    }

    public Long getFfjlId()
    {
        return ffjlId;
    }

    public void setJcgjlx(Integer jcgjlx)
    {
        this.jcgjlx = jcgjlx;
    }

    public Integer getJcgjlx()
    {
        return jcgjlx;
    }

    public void setJcmc(String jcmc)
    {
        this.jcmc = jcmc;
    }

    public String getJcmc()
    {
        return jcmc;
    }

    public void setJcmcys(Integer jcmcys)
    {
        this.jcmcys = jcmcys;
    }

    public Integer getJcmcys()
    {
        return jcmcys;
    }

    public void setJcnr(String jcnr)
    {
        this.jcnr = jcnr;
    }

    public String getJcnr()
    {
        return jcnr;
    }


    public void setQmrId(Long qmrId)
    {
        this.qmrId = qmrId;
    }

    public Long getQmrId()
    {
        return qmrId;
    }

    public String getJcmcEn() {
        return jcmcEn;
    }

    public void setJcmcEn(String jcmcEn) {
        this.jcmcEn = jcmcEn;
    }

    public String getJcnrEn() {
        return jcnrEn;
    }

    public void setJcnrEn(String jcnrEn) {
        this.jcnrEn = jcnrEn;
    }

    public String getQmrMcEn() {
        return qmrMcEn;
    }

    public void setQmrMcEn(String qmrMcEn) {
        this.qmrMcEn = qmrMcEn;
    }
}
